name: p_tits_pas
description: Application de gestion de la garde d'enfants pour les collectivités locales.
publish_to: 'none'
version: 0.1.0

environment:
  sdk: '>=3.2.6 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_web_plugins:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  provider: ^6.1.1
  go_router: ^13.2.5
  google_fonts: ^6.1.0
  shared_preferences: ^2.2.2
  image_picker: ^1.0.7
  js: ^0.6.7
  url_launcher: ^6.2.4
  http: ^1.2.2
  # flutter_secure_storage: ^9.0.0
  pdfx: ^2.5.0
  universal_platform: ^1.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true
  
  assets:
    - assets/images/ # Déclarer le dossier entier
    - assets/cards/ # Nouveau dossier de cartes
    - assets/documents/
    
  fonts:
    - family: Merienda
      fonts:
        - asset: assets/fonts/Merienda-VariableFont_wght.ttf
          style: normal 